<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>
			{% block title %}
				Fonsic
			{% endblock %}
		</title>


		<meta charset="utf-8">
		<meta
		http-equiv="X-UA-Compatible" content="IE=edge">

		<!-- Mobile Metas -->
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<meta name="keywords" content="">
		<meta name="description" content="">
		<meta name="author" content=""> {% block meta %}{% endblock %}


		<!-- Site Icons -->
		<link rel="shortcut icon" href="{{ asset('front/images/favicon.ico') }}" type="image/x-icon">
		<link
		rel="apple-touch-icon" href="{{ asset('front/images/apple-touch-icon.png') }}">

		<!-- Bootstrap CSS -->
		<link
		rel="stylesheet" href="{{ asset('front/css/bootstrap.min.css') }}">
		<!-- Site CSS -->
		<link
		rel="stylesheet" href="{{ asset('front/css/style.css') }}">
		<!-- Responsive CSS -->
		<link
		rel="stylesheet" href="{{ asset('front/css/responsive.css') }}">
		<!-- Custom CSS -->
		<link
		rel="stylesheet" href="{{ asset('front/css/custom.css') }}">

		<link rel="stylesheet" href="{{ asset('front/css/login.css') }}">

		<!-- Font awesome -->
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

		<link rel='stylesheet' href='https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css'>

		<link
		rel="icon" type="image/png" href="{{ asset('front/img/favicon.png') }}"/>
		<!--[if lt IE 9]>
		          <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
		          <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
		        <![endif]-->
		{% block stylesheets %}{% endblock %}
	</head>
	<body>
		<!-- Start Main Top -->
		<div class="main-top">
			<div class="container">
				<div class="row">
					<div class="col">
						<div class="logo-site">
							<a href="index.html"><img src="{{ asset('front/img/logo.png') }}" alt="Logo Fonsic"></a>
						</div>
					</div>
					<div class="col">
						<div class="top-banner">
							<a href="#"><img src="{{ asset('front/img/top-pub.jpg') }}"></a>
						</div>
					</div>
					<div class="col">
						<div class="social-network">
							<h5>Restez connecter</h5>
							<ul>
								<li><a href="#"><i class="fab fa-facebook-f"></i></a></li>
								<li><a href="#"><i class="fab fa-instagram"></i></a></li>
								<li><a href="#"><i class="fab fa-youtube"></i></a></li>
							</ul>
						</div>
					</div>

				</div>
			</div>
		</div>
		<!-- Fin Main Top -->

		<!-- Start Main Top -->
		<header
			class="main-header">
			<!-- Start Navigation -->
			<nav class="navbar navbar-expand-lg navbar-light bg-light navbar-default bootsnav mynavbar">
				<div
					class="container">
					<!-- Start Header Navigation -->
					<div class="navbar-header">
						<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-menu" aria-controls="navbars-rs-food" aria-expanded="false" aria-label="Toggle navigation">
							<i class="fa fa-bars"></i>
						</button>
					</div>
					<!-- Fin Header Navigation -->

					<!-- Collect the nav links, forms, and other content for toggling -->
					<div class="collapse navbar-collapse" id="navbar-menu">
						<ul class="nav navbar-nav ml-auto" data-in="fadeInDown" data-out="fadeOutUp">
							<li class="nav-item active">
								<a class="nav-link" href="{{path('homepage')}}">Accueil</a>
							</li>
							<li class="nav-item">
								<a class="nav-link" href="{{path('front_article_index')}}">Actualités</a>
							</li>
							<li class="dropdown">
								<a href="#" class="nav-link dropdown-toggle arrow" data-toggle="dropdown">Demandes</a>
								<ul class="dropdown-menu">
									<li>
										<a href="#">Appui Financier</a>
									</li>
									<li>
										<a href="#">Appui Institutionnel</a>
									</li>
								</ul>
							</li>
							<li class="nav-item">
								<a class="nav-link" href="#">Qui Sommes-Nous?</a>
							</li>
							<li class="nav-item">
								<a class="nav-link" href="#">FAQ</a>
							</li>
							<li class="dropdown">
								<a href="#" class="nav-link dropdown-toggle arrow" data-toggle="dropdown">Multimédia</a>
								<ul class="dropdown-menu">
									<li>
										<a href="#">Gallérie Photos</a>
									</li>
									<li>
										<a href="#">Gallérie Vidéos</a>
									</li>
								</ul>
							</li>
							<li class="nav-item">
								<a class="nav-link" href="#">Nous Contacter</a>
							</li>
						</ul>
					</div>
					<!-- /.navbar-collapse -->

					<!-- Start Atribute Navigation -->
					{# <div class="attr-nav">
						<ul>
							{% if  app.user.member is defined %}
								<li>
									<a href="/logout" class='' title="deconnexion"><i class="fas fa-sign-out-alt"></i></a>
								</li>
							{% else %}
								<li class="side-menu">
									<a href="#" title="se connecter">
										<i class="fa fa-user"></i>
									</a>
								</li>
							{% endif %}
						</ul>
					</div> #}
					<div class="attr-nav">
						<ul>
							{% if  app.user.member is defined %}
								<li>
									<a href="/logout" class='' title="deconnexion"><i class="fas fa-sign-out-alt" style="color: orange"></i></a>
								</li>
							{% else %}
								<li>
									<a href="#" class='login'> <i class="fas fa-user" style="color: orange"></i></a>
								</li>
							{% endif %}
						</ul>
					</div>
					<div id="navbar" class="navbar-collapse collapse">
						<div class="hidden-xs navbar-form navbar-right">
							<a href="#search" class="search-form-tigger btn search" data-toggle="search-form">
								<i class="fa fa-search" aria-hidden="true"></i>
							</a>
						</div>
						<!--/.navbar-collapse -->
					</div>

					<!-- Fin Atribute Navigation -->
				</div>
				<div class="search-form-wrapper">
					<form class="search-form" id="" action="">
						<div class="input-group">
							<input type="text" name="search" class="search form-control" placeholder="Rechercher sur le site">
							<span class="input-group-addon" id="basic-addon2"></span>
							<span class="input-group-addon search-close" id="basic-addon2">
								<i class="fa fa-window-close" aria-hidden="true"></i>
							</span>
						</div>
					</form>
				</div>
				<!-- Start Side Menu -->
				<div class="side">
					<a href="#" class="close-side">
						<i class="fa fa-times"></i>
					</a>
					<li class="cart-box">
						<div class="login-wrap">
							<div class="login-html">
								<input id="tab-1" type="radio" name="tab" class="sign-in" checked><label for="tab-1" class="tab">Login</label>
								<input id="tab-2" type="radio" name="tab" class="sign-up"><label for="tab-2" class="tab">Compte</label>
								<div class="login-form">
									<div class="sign-in-htm">
										<div class="group">
											<label for="user" class="label">Utilisateur</label>
											<input id="user" type="text" class="input">
										</div>
										<div class="group">
											<label for="pass" class="label">Mot de passe</label>
											<input id="pass" type="password" class="input" data-type="password">
										</div>
										<div class="group">
											<input id="check" type="checkbox" class="check" checked>
											<label for="check">
												<span class="icon"></span>
												Garder ma session ouverte</label>
										</div>
										<div class="group">
											<input type="submit" class="button" value="Se Connecter">
										</div>
										<div class="hr"></div>
										<div class="foot-lnk">
											<a href="#forgot">Mot de passe oublié?</a>
										</div>
									</div>
									<div class="sign-up-htm">
										<div class="group">
											<label for="user" class="label">Utilisateur</label>
											<input id="user" type="text" class="input">
										</div>
										<div class="group">
											<label for="pass" class="label">Mot de passe</label>
											<input id="pass" type="password" class="input" data-type="password">
										</div>
										<div class="group">
											<label for="pass" class="label">Confirmer mot de passe</label>
											<input id="pass" type="password" class="input" data-type="password">
										</div>
										<div class="group">
											<label for="pass" class="label">Adresse Email</label>
											<input id="pass" type="text" class="input">
										</div>
										<div class="group">
											<input type="submit" class="button" value="Créer un Compte">
										</div>
										<div class="hr"></div>
										<div class="foot-lnk">
											<label for="tab-1">Déjà Membre?</a>
										</div>
									</div>
								</div>
							</div>
						</div>
					</li>
				</div>
				<!-- Fin Side Menu -->
			</nav>
			<!-- Fin Navigation -->
		</header>
		<!-- Fin Main Top -->

		{% block body %}
            {%	block side %}{% endblock %}
        {% endblock %}

		<!-- Fin Start Top Search -->
		<div class="top-search">
			<div class="container">
				<div class="input-group">
					<span class="input-group-addon">
						<i class="fa fa-search"></i>
					</span>
					<input type="text" class="form-control" placeholder="Rechercher">
					<span class="input-group-addon close-search">
						<i class="fa fa-times"></i>
					</span>
				</div>
			</div>
		</div>
		<!-- Fin Top Search -->


		<!-- Start copyright  -->
		<div class="footer-copyright">
			<p class="footer-company">Tous droits réservés. &copy; 2019
				<a href="#">Fonsic</a>
				Design By :
				<a href="#">Pixell Agency</a>
			</p>
		</div>
		<!-- End copyright  -->

		<a href="#" id="back-to-top" title="Back to top" style="display: none;">&uarr;</a>

		
    <!-- Modal login -->
    <div class="modal fade" id="showModalLogin" tabindex="-1" role="dialog" aria-labelledby="showModalLogin"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content login-modal">
                <div class="row">
                    <div class="col-md-12 mx-auto">
                        <div id="first">
                            <div class="myform form ">
                                <div class="logo mb-3">
                                    <div class="col-md-12 text-center">
                                        <h1>Connexion</h1>
                                    </div>
                                </div>
                                <form action="" class="formLogin" method="post" name="login">
                                    <div class="errorForm">
                                        <ul>
                                        </ul>
                                    </div>
                                    <div class="form-group">
                                        <label for="email">Email address</label>
                                        <input type="text" required name="_username" class="form-control" id="email"
                                            placeholder="Enter email">
                                    </div>
                                    <div class="form-group">
                                        <label for="password">Password</label>
                                        <input type="password" required name="_password" id="password"
                                            class="form-control" placeholder="Enter Password">
                                    </div>
                                    <div class="col-md-12 text-center ">
                                        <button type="submit"
                                            class=" btn btn-block mybtn btn-primary tx-tfm">Login</button>
                                    </div>
                                    <div class="col-md-12 ">
                                        <div class="login-or">
                                            <hr class="hr-or">
                                            <span class="span-or">or</span>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <p class="text-center">Vous n'avez pas de compte ? <a href="#"
                                                id="signup">Inscrivez vous</a></p>
                                    </div>
                                </form>

                            </div>
                        </div>
                        <div id="second">
                            <div class="myform form ">
                                <div class="logo mb-3">
                                    <div class="col-md-12 text-center">
                                        <h1>Inscrivez vous</h1>
                                    </div>
                                </div>
                                {{ render(controller(
                                        'App\\Controller\\AuthController::registerForm'
                                    )) }}
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


		<!-- ALL JS FILES -->
		<script src="{{ asset('front/js/jquery-3.2.1.min.js') }}"></script>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
		<script src="{{ asset('front/js/popper.min.js') }}"></script>
		<script src="{{ asset('front/js/bootstrap.min.js') }}"></script>
		<!-- ALL PLUGINS -->
		<script src="{{ asset('front/js/jquery.superslides.min.js') }}"></script>
		<script src="{{ asset('front/js/bootstrap-select.js') }}"></script>
		<script src="{{ asset('front/js/inewsticker.js') }}"></script>
		<script src="{{ asset('front/js/bootsnav.js') }}"></script>
		<script src="{{ asset('front/js/images-loded.min.js') }}"></script>
		<script src="{{ asset('front/js/isotope.min.js') }}"></script>
		<script src="{{ asset('front/js/owl.carousel.min.js') }}"></script>
		<script src="{{ asset('front/js/baguetteBox.min.js') }}"></script>
		<script src="{{ asset('front/js/form-validator.min.js') }}"></script>
		<script src="{{ asset('front/js/contact-form-script.js') }}"></script>
		<script src="{{ asset('front/js/custom.js') }}"></script>
		<script src="{{ asset('front/js/slick.js') }}"></script>
		<script src="{{ asset('front/js/faq.js') }}"></script>
		<script src="{{ asset('front/js/toggle-search.js') }}"></script>
		<script src="{{ asset('front/js/login.js') }}"></script>
		{% block javascripts %}{% endblock %}
		<script>
        var request;
        $('.login').click(function (event) {
            event.preventDefault();
            $('#showModalLogin').modal('toggle');
        });
        $('.formLogin').submit(function () {
            event.preventDefault();
            if (request) {
                request.abort();
            }
            var $form = $(this);
            var $inputs = $form.find("input, select, button, textarea");
            var serializedData = $form.serialize();
            $inputs.prop("disabled", true);
            request = $.ajax({
                url: "{{path('client_login')}}",
                type: "post",
                data: serializedData
            });
            request.done(function (response, textStatus, jqXHR) {
                if (response.status == "error") {
                    $('.errorForm').show();
                    var error = '<li style="color:red">' + response.message + '</li>';
                    $('.errorForm ul').html(error);
                }
                if (response.status == 'ok') {
                    location.reload();
                }

            });
            request.fail(function (jqXHR, textStatus, errorThrown) {});
            request.always(function () {
                $inputs.prop("disabled", false);
            });


            return false;
        });

        $('.formRegister').submit(function (event) {

            event.preventDefault();
            if (request) {
                request.abort();
            }
            var $form = $(this);
            var $inputs = $form.find("input, select, button, textarea");
            var serializedData = $form.serialize();
            $inputs.prop("disabled", true);
            request = $.ajax({
                url: "{{path('register')}}",
                type: "post",
                data: serializedData
            });
            request.done(function (response, textStatus, jqXHR) {
                if (response.status == "error") {
                    $('.errorForm').show();
                    var error = '';
                    response.data.forEach(element => {
                        error += '<li style="color:red"> ' + element.libelle + ' : ' + element
                            .val + '</li>';
                    });
                    $('.errorForm ul').html(error);
                }
                if (response.status == 'ok') {
                    location.reload();
                }

            });
            request.fail(function (jqXHR, textStatus, errorThrown) {});
            request.always(function () {
                $inputs.prop("disabled", false);
            });


            return false;
        });
    </script>

	<script>
            function editComment(i){
                let btnForm = document.getElementById('editComment'+i);
                if(btnForm.textContent == 'Modifier'){
                    displayForm(i, btnForm);
                }
                else{
                    leaveForm(i, btnForm);
                }
            }

            //  btn.addEventListener('click', displayForm, true) ;
                
            function displayForm(i, btnForm){

                let form = document.getElementById('formComment'+i);
                let p = document.getElementById('comment'+i);
                // formation du formulaire de modifcation
                form.innerHTML = '<div>';
                form.innerHTML += '<form action="#" method="post" id="formEdit'+i+'">';
                form.innerHTML += '<div><textarea name="text" id="" cols="30" rows="10">'+ p.textContent + '</textarea></div>';
                form.innerHTML += '<button typ="submit" class="btn btn-sm btn-primary">Enregistrer</button>';
                // form.innerHTML += '<a id="hidden" href="#" class="btn btn-sm btn-warning" >Annuler</a>';
                form.innerHTML += '</form>';
                form.innerHTML += '</div>';
                
                form.style.display = 'block';
                btnForm.textContent = 'Annuler'
                //création du bouton d'annulation de la modification
                // btnLeave = document.createElement('button');
                // btnLeave.id = 'leaveForm';
                // btnLeave.textContent = 'Annuler';
                // insertion du bouton de d'aanulation dans le block contenant le formulaire
                // let divForm = document.getElementById('form'+i);
                // divForm.appendChild(btnLeave)
                // ajout de l'évènement click au bouton d'annulation de la mification
                // btnLeave.addEventListener('click', leaveForm, true) ;
                // e.stopPropagation();
            }

            function leaveForm(i, btnForm){
                let form = document.getElementById('form'+i);
                let formEdit = document.getElementById('formEdit'+i);
                // let btnLeave = document.getElementById('leaveForm');
            
                form.removeChild(formEdit);
                // form.removeChild(btnLeave);
                form.style.display = 'none'
                btnForm.textContent = 'Modifier'
            
                // e.stopPropagation();
            }

        </script>
	</body>
</html>
